Skip to content
For the complete documentation index, see llms.txt. This page is also available as Markdown.

chain_getHead - Peaq

Example code for the chain_getHead JSON-RPC method. Complete guide on how to use chain_getHead JSON-RPC in GetBlock Web3 documentation.

Returns the hash of the best (head) block (alias of chain_getBlockHash with no argument).

Parameters

This method takes no parameters.

Request

curl --location --request POST 'https://shared.us-east-1.getblock.io/<ACCESS-TOKEN>/' \
--header 'Content-Type: application/json' \
--data-raw '{
    "jsonrpc": "2.0",
    "id": "getblock.io",
    "method": "chain_getHead",
    "params": []
}'
example.js
const axios = require('axios');
const response = await axios.post('https://shared.us-east-1.getblock.io/<ACCESS-TOKEN>/', { jsonrpc: '2.0', id: 'getblock.io', method: 'chain_getHead', params: [] }, { headers: { 'Content-Type': 'application/json' } });
console.log(response.data.result);
example.py
import requests
response = requests.post('https://shared.us-east-1.getblock.io/<ACCESS-TOKEN>/', headers={'Content-Type': 'application/json'}, json={'jsonrpc': '2.0', 'id': 'getblock.io', 'method': 'chain_getHead', 'params': []})
print(response.json())
example.rs
use reqwest::Client;
use serde_json::{json, Value};

#[tokio::main]
async fn main() -> Result<(), Box<dyn std::error::Error>> {
    let client = Client::new();
    let res = client.post("https://shared.us-east-1.getblock.io/<ACCESS-TOKEN>/").json(&json!({"jsonrpc":"2.0","id":"getblock.io","method":"chain_getHead","params":[]})).send().await?.json::<Value>().await?;
    println!("{}", res["result"]);
    Ok(())
}

Response

{
    "jsonrpc": "2.0",
    "id": "getblock.io",
    "result": "0xbesthash..."
}

Response Parameters

Field
Type
Description

jsonrpc

string

JSON-RPC version ("2.0")

id

string

Request identifier ("getblock.io")

result

varies

The method result (see example above)

Use Cases

  • Programmatic access to the chain_getHead method on peaq

  • Integrations, indexing, and tooling built on the peaq node API

Error Handling

Error
Message
Description

-32602

Invalid params

A parameter was missing or malformed

-32601

Method not found

The method name is not exposed by the node

403 / RBAC: access denied

Access denied

The GetBlock access token is missing or incorrect

Was this helpful?